OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 > Struct Template Reference

`#include <cl2.hpp>`

## Public Member Functions
cl_int | operator() (cl_uint param, size_type size, void *value, size_type *size_ret)

## Public Attributes
Func | f_
const Arg0 & | arg0_
const Arg1 & | arg1_

## Member Function Documentation

template<typename Func, typename Arg0, typename Arg1>

cl_int cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 >::operator() | ( | cl_uint | param,
|  | size_type | size,
|  | void * | value,
|  | size_type * | size_ret
| ) |  |
| inline

## Member Data Documentation

template<typename Func, typename Arg0, typename Arg1>

const Arg0& cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 >::arg0_

template<typename Func, typename Arg0, typename Arg1>

const Arg1& cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 >::arg1_

template<typename Func, typename Arg0, typename Arg1>

Func cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 >::f_

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp